Updated: 2011-10-31 Due date:
Affected version:
Description: At "*Planio Redmine Hosting*":http://plan.io/redmine-hosting, we found that a *considerable number of 

first-time users got stuck while creating their first project*. The reason: the *project identifier*. As it is now, it's 
not clear what it is for and quite a few of our users tried identifiers starting with a number which yields a 
validation error that is not specific enough to help them understand that it actually has to start with an @a-z@ 
character.

This patch attempts to solve the issue by two small improvements:

# automatically generate the identifier while the name is typed in
# let the user know that the identifier must start with a lower case letter

Appreciate your comments and would love to see this making it into the core - I think it will improve the first 
time Redmine experience.

The patch is against our Redmine version. Might need only minor modifications for Chili.

Associated revisions
2008-03-16 01:21 pm - Jean-Philippe Lang 
Add a time tracking block for 'My page' (#615).
It lists current user's time entries for the last 7 days across all projects, grouped by day with subtotals for each day, and a grand total.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1260 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-10-30 10:33 am - Holger Just 
[#615] Generate project identifier automatically with JavaScript

Also let the user know that the identifier must start with a lower case letter.

Contributed by Jan Schulz-Hofen.

History
2011-09-11 04:31 pm - Holger Just
- Target version set to 2.3.0

I like this patch. Some potential improvements to consider:

* I'd use something more complete for normalizing diacritics like http://lehelk.com/2011/05/06/script-to-remove-diacritics/
* We support underscores for project identifiers. There could be a flag if underscores or dashes should be used as the default separator.

2011-09-21 11:03 am - Jan Schulz-Hofen
There's an improved version including the diacritics and a fix regarding Etienne's concern with sequential identifiers at 
http://www.redmine.org/issues/9225

2011-10-04 08:53 am - Holger Just
- Target version changed from 2.3.0 to 2.4.0

I like your new version. However, we still need to clear the license of the diacritics script. I think it's going to be okay, but we should nevertheless ask.

Thus, I'm postponing this feature to 2.4

2011-10-13 01:34 am - Eric Davis
Side comment: I'd like to start scoping our JavaScript. Putting functions in the global namespace is getting messy. Doesn't need to be done for this 
feature but we should start thinking about it.

2011-10-30 09:38 am - Holger Just
- Assignee set to Holger Just

Pushed your updated version in commit:2f4afee (slightly updated).

Thanks Jan!

2011-10-31 03:32 pm - Holger Just
- Status changed from Open to Closed
